import 'dart:async';

import 'package:flutter/services.dart';
import 'package:flutter_netcore_smartech/model_event.dart';

class FlutterNetcoreSmartech {
  static const MethodChannel _channel =
      const MethodChannel('flutter_netcore_smartech');

  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  static Future<String> get getNetcoreAppId async {
    final String appId = await _channel.invokeMethod('getNetcoreAppId');
    return appId;
  }

  static Future<bool> trackingEvent(ModelEvent modelEvent) async {
    final bool result =
        await _channel.invokeMethod("trackingEvent", modelEvent.toJson());
    return result;
  }
}
